GWT 2.7.0

## com.google.gwt.event.dom.client
Class DragDropEventBase<H extends EventHandler>

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.google.gwt.event.dom.client.DomEvent<H>
                  com.google.gwt.event.dom.client.DragDropEventBase<H>

Type Parameters:
  `H` - handler type

All Implemented Interfaces:
  HasNativeEvent

Direct Known Subclasses:
  DragEndEvent, DragEnterEvent, DragEvent, DragLeaveEvent, DragOverEvent, DragStartEvent, DropEvent

    public abstract class DragDropEventBase<H extends EventHandler>

extends DomEvent<H>

Base class for drag and drop events.

Nested Class Summary
`(package private) static class` | `DragDropEventBase.DragSupportDetector` Detector for browser support of drag events.
`(package private) static class` | `DragDropEventBase.DragSupportDetectorNo` Detector for permutations that do not support drag events.

Nested classes/interfaces inherited from class com.google.gwt.event.dom.client.DomEvent
`DomEvent.Type<H extends EventHandler>`

Constructor Summary
`DragDropEventBase()`

Method Summary
`java.lang.String` | `getData(java.lang.String format)` Get the data for the specified format from the `DataTransfer` object.
`DataTransfer` | `getDataTransfer()` Get the `DataTransfer` associated with the current drag event.
`static boolean` | `isSupported()` Runtime check for whether drag events are supported in this browser.
`void` | `setData(java.lang.String format, java.lang.String data)` Set the data in the `DataTransfer` object for the specified format.

Methods inherited from class com.google.gwt.event.dom.client.DomEvent
`fireNativeEvent, fireNativeEvent, getAssociatedType, getNativeEvent, getRelativeElement, init, preventDefault, setNativeEvent, setRelativeElement, stopPropagation`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, dispatch, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DragDropEventBase

    public DragDropEventBase()

Method Detail

### isSupported

    public static boolean isSupported()

  Runtime check for whether drag events are supported in this browser.

  Returns:
    true if supported, false if not

### getData

    public java.lang.String getData(java.lang.String format)

  Get the data for the specified format from the `DataTransfer` object.

  Parameters:
    `format` - the format
  Returns:
    the data for the specified format

### getDataTransfer

    public DataTransfer getDataTransfer()

  Get the `DataTransfer` associated with the current drag event.

  Returns:
    the `DataTransfer` object

### setData

    public void setData(java.lang.String format,
                        java.lang.String data)

  Set the data in the `DataTransfer` object for the specified format.

  Parameters:
    `format` - the format
    `data` - the data to associate with the format

GWT 2.7.0